/* libdf3 - utils.c */

#include "df3_priv.h"

#include <string.h>


/* bpv := 1,2,4. */

bool df3_check_bpv(size_t const b) {
  return 4 == b  ||  2 == b  ||  1 == b;
}


/* axes := 1-65535 inclusive. */

bool df3_check_axes(df3Axes const a) {
  if (!AXMUL(a))
    return false;
  else if (UINT16_MAX < a.x  ||  UINT16_MAX < a.y  ||  UINT16_MAX < a.z)
    return false;
  return true;
}


/* filename, check (at least) '?.df3' */

bool df3_check_fname(char const * const fn) {
  if (!fn  ||  5 > strlen(fn))
    return false;
  char const * const p = strrchr(fn, (int)'.');
  return p  &&  !strcmp(DF3_EXTENSION, p);
}

/* ----------------------------------------------------------------- *
 *  this file is part of 'libdf3', part of the 'df3 tools' project.  *
 *  the content above is covered by the GPLv3+, see file COPYING.    *
 *  copyright (c) 2017 jr <creature.eternal@gmail.com>.              *
 *  all rights reserved.                                             *
 * ----------------------------------------------------------------- */
